###################################################
# Principles of Business Forecasting 2e, 2017
# ord, K., Fildes, R. and Kourentzes, N.
# (Book website) - TO BE EDITED
#
# Companion scripts for R
###################################################

# Exercises 2.15

###################################################
# These line will be removed when this is packaged!
load("./data/data_Electricity.Rdata")
###################################################

# Store the data in a conveniently named variable
y <- data_Electricity

# Since we are looking for a year 3 forecast, now year 2 (first column of y) will be used as forecast (seasonal naive)
frc <- y[,1]
# We need to calculate the PIs
a <- 0.9
e <- y[,1] - y[,2] # Calculate errors on past forecasts
s <- sd(e)
PI <- rbind(
  # Lower
  frc -abs(qnorm((1-a)/2))*s,
  # Upper
  frc +abs(qnorm((1-a)/2))*s)
rownames(PI) <- c("Lower","Upper")
colnames(PI) <- month.abb

print(round(PI,3))
