###################################################
# Principles of Business Forecasting 2e, 2017
# ord, K., Fildes, R. and Kourentzes, N.
# (Book website) - TO BE EDITED
#
# Companion scripts for R
###################################################

# Exercises 2.4

###################################################
# These line will be removed when this is packaged!
load("./data/data_Returns.Rdata")
###################################################

# Store the data in a conveniently named variable
y <- data_Returns

# a. Compute the summary statistics (mean, median, MAD, and S)
descr_y <- c(mean(y), median(y), mad(y), sd(y))
names(descr_y) <- c("Mean","Median","MAD","S")
print(descr_y)

# b. Just before the close of business in the last trading session of the year, the company
#    that had reported the 5.0 percent drop declares bankruptcy, so the return becomes
#    –100 percent. Recompute the results, and comment on your fndings.

# Update returns
z <- y
z[1] <- -100

descr_z <- c(mean(z), median(z), mad(z), sd(z))
names(descr_z) <- names(descr_y)
print(rbind(descr_y,descr_z))
