###################################################
# Principles of Business Forecasting 2e, 2017
# ord, K., Fildes, R. and Kourentzes, N.
# (Book website) - TO BE EDITED
#
# Companion scripts for R
###################################################

# Exercises 2.9

###################################################
# These line will be removed when this is packaged!
load("./data/data_German_forecasts.Rdata")
###################################################

# Store the data in a conveniently named variable
y <- data_German_forecasts

# Calculate correlations. We use the function cor.test to get p-values as well
# but now comparisons are pairwise

# Find number of variables
k <- dim(y)[2]
# Same results in two arrays
cors <- pvals <- array(NA,c(k-1,k-1),dimnames=list(colnames(y)[-1],colnames(y)[-1]))
for (i in 1:(k-1)){
  for (j in 1:(k-1)){
    if (i == j){
      cors[i,j] <- 1
      pvals[i,j] <- 0
    }
    temp <- cor.test(y[,i+1],y[,j+1])
    cors[i,j] <- temp$statistic
    pvals[i,j] <- temp$p.value
  }
}
# Print results
print(round(cors,3))
print(round(pvals,3))
