###################################################
# Principles of Business Forecasting 2e, 2017
# ord, K., Fildes, R. and Kourentzes, N.
# (Book website) - TO BE EDITED
#
# Companion scripts for R
###################################################

# Exercise 8.7

###################################################
# These line will be removed when this is packaged!
load("./data/data_Baseball.Rdata")
###################################################

# Store the data in a conveniently named variable
x <- data_Baseball
z <- x
z[,1] <- log(z[,1])

cor(z)

fit <- lm(salary~years_in_majors+career_ERA+innings_pitched,data=z)
summary(fit)

resid <- fit$residuals
par(mfrow=c(2,2))
for (i in 1:3){
  plot(resid,z[,i],main=colnames(x)[i+1])
}
par(mfrow=c(2,2))
plot(fit)
par(mfrow=c(1,1))
