###################################################
# Principles of Business Forecasting 2e, 2017
# ord, K., Fildes, R. and Kourentzes, N.
# (Book website) - TO BE EDITED
#
# Companion scripts for R
###################################################

# Exercises 2.3

###################################################
# These line will be removed when this is packaged!
load("./data/data_Rail_safety.Rdata")
###################################################

# a. Scatterplot for injuries against train-miles

# First we will extract the relevant variables and drop the time series information
# This is necessary to make the scatterplot cleaner.
inj <- as.vector(data_Rail_safety[,1])
tm <- as.vector(data_Rail_safety[,2])
plot(tm,inj,type="p",xlab="Train-Miles",ylab="Injuries")

# b. Plot each of the three time series

# The data are already in time series format, so we can just plot them
plot(data_Rail_safety)

###################################################
# Optional steps
###################################################

# An alternative is to convert the data to a data.frame and plot that to get the scatterplots
Rail_safety <- as.data.frame(data_Rail_safety)
plot(Rail_safety)
