###################################################
# Principles of Business Forecasting 2e, 2017
# ord, K., Fildes, R. and Kourentzes, N.
# (Book website) - TO BE EDITED
#
# Companion scripts for R
###################################################

# Exercise 8.4

###################################################
# These line will be removed when this is packaged!
load("./data/data_Gas_prices_1.Rdata")
###################################################

# Store the data in a conveniently named variable
x <- data_Gas_prices_1
colnames(x)

z <- x
z[,1:4] <- z[,1:4]/matrix(rep(z[,5],4),ncol=4)

# Some initial exploration
plot(z[,c(1:4,8)])
cor(z[,c(1:4,8)])
plot(as.data.frame(z[,c(1:4,8)]))

# Estimate regression
fit <- lm(unleaded~crude_price+sp500+pdi+unemp,data=z)
summary(fit)

# Validation
par(mfrow=c(2,2))
plot(fit)
par(mfrow=c(1,1))
